
From: Olaf Hering <olh@suse.de>

make install passes the zImage to the installkernel script.  When an initrd is
used, this script has to pull out the vmlinux from the zImage because yaboot
can not boot a zImage+initrd combo.  It can only handle vmlinux+initrd or
zImage.initrd.  Its simple to just pass the plain vmlinux instead.

Signed-off-by: Olaf Hering <olh@suse.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc64/Makefile      |    4 +---
 25-akpm/arch/ppc64/boot/Makefile |    4 ++--
 2 files changed, 3 insertions(+), 5 deletions(-)

diff -puN arch/ppc64/boot/Makefile~use-vmlinux-during-make-install-on-ppc64 arch/ppc64/boot/Makefile
--- 25/arch/ppc64/boot/Makefile~use-vmlinux-during-make-install-on-ppc64	Wed Feb  9 16:12:12 2005
+++ 25-akpm/arch/ppc64/boot/Makefile	Wed Feb  9 16:12:12 2005
@@ -111,7 +111,7 @@ $(obj)/imagesize.c: vmlinux.strip
 	awk '{printf "unsigned long vmlinux_memsize = 0x%s;\n", substr($$1,8)}' \
 		>> $(obj)/imagesize.c
 
-install: $(CONFIGURE) $(obj)/$(BOOTIMAGE)
-	sh -x $(srctree)/$(src)/install.sh "$(KERNELRELEASE)" "$(obj)/$(BOOTIMAGE)" "$(INSTALL_PATH)"
+install: $(CONFIGURE) $(BOOTIMAGE)
+	sh -x $(srctree)/$(src)/install.sh "$(KERNELRELEASE)" "$(BOOTIMAGE)" "$(INSTALL_PATH)"
 
 clean-files := $(addprefix $(objtree)/, $(obj-boot) vmlinux.strip)
diff -puN arch/ppc64/Makefile~use-vmlinux-during-make-install-on-ppc64 arch/ppc64/Makefile
--- 25/arch/ppc64/Makefile~use-vmlinux-during-make-install-on-ppc64	Wed Feb  9 16:12:12 2005
+++ 25-akpm/arch/ppc64/Makefile	Wed Feb  9 16:12:12 2005
@@ -88,9 +88,7 @@ boottarget-$(CONFIG_PPC_ISERIES) := vmli
 $(boottarget-y): vmlinux
 	$(Q)$(MAKE) $(build)=$(boot) $(boot)/$@
 
-bootimage-$(CONFIG_PPC_PSERIES) := zImage
-bootimage-$(CONFIG_PPC_MAPLE) := zImage
-bootimage-$(CONFIG_PPC_ISERIES) := vmlinux
+bootimage-y := vmlinux
 BOOTIMAGE := $(bootimage-y)
 install: vmlinux
 	$(Q)$(MAKE) $(build)=$(boot) BOOTIMAGE=$(BOOTIMAGE) $@
_
